{ "swagger": "2.0", "info": { "version": "1.0", "title": "Marketplaces - Orders - Subscriptions - Consumer", "description": "Please take a look at this sequence diagram to understand the subscription process to follow [here](https://www.websequencediagrams.com/files/render?link=SBYbeIc8NGshk6ooCbmjoBLIMl4fIGO1xjJbPBQAglBo0n6BwEReh7NXQiPSjOTX)", "x-logo": { "url": "https://avatars0.githubusercontent.com/u/25665430", "backgroundColor": "#FFFFFF" }, "contact": { "url": "https://gitter.im/BeezUP/API", "name": "Developer support (Gitter)" }, "license": { "name": "BeezUP", "url": "http://www.beezup.com" } }, "x-beezup-ops": { "codeGenType": "webapi", "useBeezUPFrameworkVersion2": true, "repo": "MKP-ADPT-ALIEXPRESS", "applicationShortName": "MKP2.OM2.SUB.CONS.RestAPI", "appRoot": "BeezUP2.MP2.OM.SUB.CONS.RestAPI", "namespace": "BeezUP2.MP2.OM.SUB.CONS.RestAPI", "apiName": "VPublicMarketplacesOrdersSubscriptionsConsumer", "comment": "Creation\n", "using": [ "BeezUP2.MP2.OM.SUB.Schemas", "BeezUP2.MP2.OM.SUB.Events" ], "references": [ "BeezUP2.MP2.OM.SUB.Schemas", "BeezUP2.MP2.OM.SUB.Events" ] }, "x-host": "api.client.com", "x-basePath": "", "x-basePathSlashOnly": true, "x-basePathNoBasePath": true, "schemes": [ "https" ], "tags": [ { "name": "Subscriptions", "description": "All orders subscription operations" } ], "consumes": [ "application/json" ], "produces": [ "application/json" ], "parameters": { "secretKeyInHeader": { "name": "X-Hook-Secret", "in": "header", "required": true, "type": "string", "x-example": "4b57fg1ck4i2" } }, "paths": { "/": { "get": { "x-basePathSlashOnly": true, "tags": [ "Subscriptions" ], "operationId": "Verification", "summary": "Ensure that the consumer is ready", "parameters": [ { "$ref": "#/parameters/secretKeyInHeader" } ], "responses": { "204": { "description": "Verification OK", "headers": { "X-Hook-Secret": { "type": "string", "x-example": "4b57fg1ck4i2" } } }, "200": { "description": "Verification OK", "headers": { "X-Hook-Secret": { "type": "string", "x-example": "4b57fg1ck4i2" } } }, "default": { "description": "Error during verification" } } }, "post": { "x-basePathSlashOnly": true, "tags": [ "Subscriptions" ], "operationId": "PushOrders", "summary": "The BeezUP system will push orders on this operation", "parameters": [ { "$ref": "#/parameters/secretKeyInHeader" }, { "name": "request", "in": "body", "required": true, "schema": { "$ref": "https://api.beezup.com/swaggerhub/domains/BeezUP/om_subscription-events/1.0#/definitions/ordersReceived" } } ], "responses": { "200": { "description": "Orders received" }, "204": { "description": "Orders received" }, "202": { "description": "Orders received" }, "default": { "description": "Error during push orders" } } } } }, "definitions": {}, "host": "api.client.com", "basePath": "/" }